

var _keys2=require('lodash/keys');var _keys3=_interopRequireDefault(_keys2);
var _immutable=require('immutable');var _immutable2=_interopRequireDefault(_immutable);
var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');
var _reactTestRenderer=require('react-test-renderer');var _reactTestRenderer2=_interopRequireDefault(_reactTestRenderer);

var _ImmutableListView=require('../ImmutableListView');var _ImmutableListView2=_interopRequireDefault(_ImmutableListView);function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}

var EMPTY_DATA=_immutable2.default.List();
var LIST_DATA=_immutable2.default.List(['l','i','s','t']);
var MAP_DATA=_immutable2.default.Map({1:'m',2:'a',3:'p'});
var MAP_DATA_COMPLEX=_immutable2.default.Map({first:['m','a','p'],second:['foo'],third:[],fourth:['bar']});




function renderRow(rowData){
return _react2.default.createElement(_reactNative.Text,null,JSON.stringify(rowData));
}





function renderSectionHeader(sectionData,category){
return _react2.default.createElement(_reactNative.Text,{header:true},category+' ('+(0,_keys3.default)(sectionData).length+' items)');
}

describe('ImmutableListView',function(){
it('renders with empty data',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:EMPTY_DATA,
renderRow:renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic List',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:LIST_DATA,
renderRow:renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic Map',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:MAP_DATA,
renderRow:renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic Map with section headers',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:MAP_DATA,
renderRow:renderRow,
renderSectionHeader:renderSectionHeader})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders more complex Map with section headers',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:MAP_DATA_COMPLEX,
renderRow:renderRow,
renderSectionHeader:renderSectionHeader})).

toJSON();
expect(tree).toMatchSnapshot();
});
});